---
title: msSetVideoRectangle
slug: Web/API/HTMLVideoElement/msSetVideoRectangle
tags:
  - msSetVideoRectangle
---
<div>{{APIRef("HTML DOM")}}</div>

<p>{{Non-standard_header()}}</p>

<p>The <strong><code>HTMLVideoElement.msSetVideoRectangle()</code></strong> method sets the dimensions of a sub-rectangle within a video.</p>

<p>This proprietary method is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLVideoElement</em>.msSetVideoRectangle();
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>left</dt>
 <dd>A <a href="/en-US/docs/Glossary/Number">number</a> representing left-side position.</dd>
 <dt>top</dt>
 <dd>A <a href="/en-US/docs/Glossary/Number">number</a> representing top position.</dd>
 <dt>right</dt>
 <dd>A <a href="/en-US/docs/Glossary/Number">number</a> representing right-side position.</dd>
 <dt>bottom</dt>
 <dd>A <a href="/en-US/docs/Glossary/Number">number</a> representing bottom position.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>This method does not return a value.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">HTMLVideoElement.msSetVideoRectangle(left: 2, top: 0, right: 4, bottom: 4);
</pre>

<h2 id="See_Also">See also</h2>

<ul>
  <li><a href="/en-US/docs/Web/API/HTMLVideoElement">HTMLVideoElement</a></li>
  <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
